module.exports = function( grunt ) {
    grunt.initConfig({
        nodemon: {
            dev: {
                options: {
                    file: 'app.js',
                    watchedFolders: ['./'],
                    debug: true,
                    delayTime: 1,
                    env: {
                        PORT: 3001
                    },
                    cwd: __dirname
                }
            }
        },
        concurrent: {
            tasks: ['nodemon'],
            options: {
                logConcurrentOutput: true
            }
        }
    });

    grunt.loadNpmTasks("grunt-nodemon");
    grunt.loadNpmTasks("grunt-concurrent");
    //unt.loadNpmTasks("grunt-contrib-watch");

    grunt.registerTask("default",["concurrent"]);
};